[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#638687: mpi-defaults: FTBFS on hurd-i386



Source: mpi-defaults
Version: 0.6
Severity: important
Tags: patch
User: debian-hurd@lists.debian.org
Usertags: hurd

Hi,

Currently mpi-defaults does not compile on GNU/Hurd. The problem is due to
the build dependency of lam. The tiny patch inlined below fixes this issue.

--- mpi-defaults-0.6/debian/control	2009-07-01 12:43:58.000000000 +0200
+++ mpi-defaults-0.6.modified/debian/control	2011-08-21 00:03:32.000000000 +0200
@@ -5,10 +5,10 @@
 Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>, Manuel Prinz <manuel@debian.org>
 Standards-Version: 3.8.2
 Build-Depends: debhelper (>= 5.0),
- libopenmpi-dev (>= 1.2.4-5) [i386 amd64 lpia ia64 powerpc kfreebsd-i386 kfreebsd-amd64],
- openmpi-bin [i386 amd64 lpia ia64 powerpc kfreebsd-i386 kfreebsd-amd64],
- lam4-dev [!i386 !amd64 !lpia !ia64 !powerpc !kfreebsd-i386 !kfreebsd-amd64],
- lam-runtime [!i386 !amd64 !lpia !ia64 !powerpc !kfreebsd-i386 !kfreebsd-amd64]
+ libopenmpi-dev (>= 1.2.4-5) [i386 amd64 lpia ia64 powerpc kfreebsd-i386 kfreebsd-amd64 hurd-i386],
+ openmpi-bin [i386 amd64 lpia ia64 powerpc kfreebsd-i386 kfreebsd-amd64 hurd-i386],
+ lam4-dev [!i386 !amd64 !lpia !ia64 !powerpc !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+ lam-runtime [!i386 !amd64 !lpia !ia64 !powerpc !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/mpi-defaults.git;a=summary
 Vcs-Git: git://git.debian.org/git/debian-science/packages/mpi-defaults.git

Thanks,
Svante





-- 
To UNSUBSCRIBE, email to debian-hurd-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 1313749933.2843.11.camel@amd64.my.own.domain">http://lists.debian.org/1313749933.2843.11.camel@amd64.my.own.domain






Reply to: